{
  "name": "starter-webpack-react",
  "version": "1.0.0",
  "description": "started project for react webpack",
  "scripts": {
    "lint": "./node_modules/.bin/eslint ./",
    "dev": "webpack serve --hot --env env=dev",
    "prebuild": "rimraf dist",
    "build": "cross-env NODE_ENV=production webpack --env env=prod",
    "dev:bundleanalyzer": "npm run dev --env addons=bundleanalyzer",
    "build:bundleanalyzer": "npm run build --env addons=bundleanalyzer",
    "storybook": "start-storybook -p 6006",
    "build-storybook": "build-storybook",
    "test": "jest",
    "test:out": "jest --json --outputFile=.jest-test-results.json",
    "watch-test": "jest --json --outputFile=.jest-test-results.json --watchAll"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/core": "^7.12.16",
    "@babel/plugin-proposal-class-properties": "^7.12.13",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/preset-env": "^7.12.16",
    "@babel/preset-react": "^7.12.13",
    "@hot-loader/react-dom": "^17.0.1",
    "@storybook/addon-a11y": "^6.2.9",
    "@storybook/addon-actions": "^6.2.9",
    "@storybook/addon-essentials": "^6.2.9",
    "@storybook/addon-jest": "^6.2.9",
    "@storybook/addon-links": "^6.2.9",
    "@storybook/addon-viewport": "^6.2.9",
    "@storybook/react": "^6.2.9",
    "@testing-library/jest-dom": "^5.12.0",
    "@testing-library/react": "^11.2.6",
    "@testing-library/user-event": "^13.1.8",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.2.2",
    "chalk": "^4.1.0",
    "clean-webpack-plugin": "^3.0.0",
    "cross-env": "^7.0.3",
    "css-loader": "^5.0.2",
    "cssnano": "^4.1.10",
    "eslint": "^7.19.0",
    "eslint-plugin-babel": "^5.3.1",
    "eslint-plugin-react": "^7.22.0",
    "file-loader": "^6.2.0",
    "html-webpack-plugin": "^5.0.0",
    "jest": "^26.6.3",
    "jest-css-modules-transform": "^4.2.1",
    "mini-css-extract-plugin": "^1.3.6",
    "node-sass": "^5.0.0",
    "postcss-loader": "^5.0.0",
    "postcss-preset-env": "^6.7.0",
    "react-hot-loader": "^4.13.0",
    "rimraf": "^3.0.2",
    "sass-loader": "^11.0.1",
    "style-loader": "^2.0.0",
    "uglifyjs-webpack-plugin": "^2.2.0",
    "webpack": "^5.21.2",
    "webpack-bundle-analyzer": "^4.4.0",
    "webpack-cli": "^4.5.0",
    "webpack-dev-server": "^3.11.2",
    "webpack-merge": "^5.7.3"
  },
  "dependencies": {
    "core-js": "^3.8.3",
    "formik": "^2.2.6",
    "prop-types": "^15.7.2",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "yup": "^0.32.9"
  },
  "jest": {
    "moduleNameMapper": {
      ".+\\.(css|styl|less|sass|scss)$": "<rootDir>/node_modules/jest-css-modules-transform"
    }
  }
}
